| Home | Libraries | People | FAQ | More

## Class template unary_negate

boost::compute::unary_negate

## Synopsis

    // In header: <boost/compute/functional/logical.hpp>

    template<typename Predicate>
    class unary_negate : public boost::compute::unary_function< void, int > {
    public:
      // construct/copy/destruct
      explicit unary_negate(Predicate);
    };

## Description

The unary_negate function adaptor negates a unary function.

See Also:

not1()

### `unary_negate` public construct/copy/destruct

1.     explicit unary_negate(Predicate pred);